ArrayUtil (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.helpers

## Class ArrayUtil

- java.lang.Object
- - org.neo4j.helpers.ArrayUtil

-     public abstract class ArrayUtil
      extends Object

  Methods "missing" from `Arrays` are provided here.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ArrayUtil.ArrayEquality`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ArrayUtil.ArrayEquality` | `DEFAULT_ARRAY_EQUALITY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Object` | `clone(Object array)`
    `static boolean` | `equals(Object firstArray, Object otherArray)`
    `static boolean` | `equals(Object firstArray, Object otherArray, ArrayUtil.ArrayEquality equality)` I also can't believe this method is missing from `Arrays`.
    `static int` | `hashCode(Object array)`
    `static String` | `toString(Object array)` I can't believe this method is missing from `Arrays`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_ARRAY_EQUALITY

          public static final ArrayUtil.ArrayEquality DEFAULT_ARRAY_EQUALITY

  - ### Method Detail

    - #### toString

          public static String toString(Object array)

      I can't believe this method is missing from `Arrays`.
      See Also:
        `for similar functionality.`

    - #### hashCode

          public static int hashCode(Object array)

    - #### equals

          public static boolean equals(Object firstArray,
                       Object otherArray)

    - #### equals

          public static boolean equals(Object firstArray,
                       Object otherArray,
                       ArrayUtil.ArrayEquality equality)

      I also can't believe this method is missing from `Arrays`. Both arguments must be arrays of some type.
      Parameters:
        `firstArray` - value to compare to the other value
        `otherArray` - value to compare to the first value
        `equality` - equality logic
      See Also:
        `for similar functionality.`

    - #### clone

          public static Object clone(Object array)

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.